Name:           remind
Version:        03.00.24
Release:        3%{?dist}
Summary:        A sophisticated calendar and alarm program

Group:          Applications/Productivity
License:        GPL
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind
Source0:        http://www.roaringpenguin.com/files/download/remind-%{version}.tar.gz
Source1:        tkremind.desktop
Patch0:         remind-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       tcl
BuildRequires:  desktop-file-utils

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms  

%package gui
Group:          Applications/Productivity
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
mv remind.1.utf8 remind.1
popd
%patch0 -p1
pushd www
find . -type f -exec chmod -x {} \;
popd

%build
%configure
make %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
rm -rf $RPM_BUILD_ROOT
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Install desktop stuff.
desktop-file-install --vendor "fedora"             \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/cm2rem.tcl
%{_bindir}/kall
%{_bindir}/rem
%{_bindir}/rem2ps
%{_bindir}/remind
%{_mandir}/man1/cm2rem.1.gz
%{_mandir}/man1/kall.1.gz
%{_mandir}/man1/rem.1.gz
%{_mandir}/man1/rem2ps.1.gz
%{_mandir}/man1/remind.1.gz

%doc ACKNOWLEDGEMENTS COPYRIGHT docs/README.UNIX docs/WHATSNEW.30 examples www

%files gui
%defattr(-,root,root,-)
%{_datadir}/applications/*
%{_bindir}/tkremind
%{_mandir}/man1/tkremind.1.gz

%changelog
* Wed May 23 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-3
- Fixed permissions on www/* to be 0644.

* Mon May 07 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Added www to documentation.  A sample web application I do not feel is
  suitable for inclusion into the actual RPM.

* Thu May 03 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-2
- Using integer only release numbers.
- Preserve timestamps on manpages.
- Added %check
- Removed README from documentation and added ACKNOWLEDGEMENTS

* Wed Apr 25 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1.1
- Applied patch from Dan Young (dyoung@mesd.k12.or.us) to not strip binaries
  See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802#c3
- Explicitly specifying man pages under %files to avoid duplication of
  tkremind.1 across subpackages
- Added README and COPYRIGHT

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-1
- Added .desktop file
- Initial release

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.5
- Convert remind.1 to UTF8

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.4
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.3
- Rebuild

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.2
- Split into -gui sub-package.

* Mon Apr  9 2007 Ray Van Dolson <rayvd@bludgeon.org> - 03.00.24-0.1
- Initial release.
